echo "##########################"
echo "#  Hub iOS App Installer #"
echo "##########################"
echo ""
echo "Please go to the App Store and install XCode"
echo ""
read -p "Press [enter] after installing xcode" my_ignore
echo ""
echo "Now we're going to install some more xcode tools..."
echo ""
echo "Press [enter] if you accept the xcode license agreement."
read -p "(you may be asked for your computer password)" my_ignore
echo ""
sudo xcodebuild -license accept
xcode-select --install
echo ""
echo "Now we're installing cocoapods (may ask for computer password)"
echo "(this is the quick install, the real one happens later)"
echo ""
sudo gem install cocoapods
echo ""
echo "Now we're downloading the Hub App code"
echo "(may ask for git password)"
echo ""
set -e
mkdir -p ~/git.ppl.family/ppl
pushd ~/git.ppl.family/ppl/

  # ~/git.ppl.family/ppl/
  if [ ! -e ppl.ios ]; then
    git clone https://git.ppl.family/ppl/ppl.ios.git
  fi

  pushd ./ppl.ios/

echo ""
echo "Now installing cocoapods for app"
echo "(this may take 20 minutes to initialize the first time)"
echo ""
    # ~/git.ppl.family/ppl/ppl.ios
    pod install # WARNING: The base pod system is ~550MiB!!
                # This may take a while (maybe 20 minutes download + install)

echo ""
echo ""
echo "#####################"
echo "#  LISTEN CAREFULLY #"
echo "#####################"
echo ""
echo "1. Open XCode"
echo "2. Go to XCode > Preferences > Accounts"
echo "3. Sign in with your iTunes account"
echo "4. You should see your name under Team. Double click that and click the + to add a Development Certificate for your local machine."
echo ""
read -p "Press [enter] once you've got that done" my_ignore
echo ""
echo ""
echo "Now we're gonna open the code folder for you..."
    open ./
sleep 2
echo ""
echo "5. Open SyncApp.xcodeproj"
echo "6. Change the TEAM SETTINGS to your iTunes account"
echo "7. Change the PROJECT ID to com.example.SyncApp"
echo "8. Close SyncApp.xcodeproj"
echo "9. Quit XCode"
echo ""
echo "10. Connect your iPhone via USB Lightning"
echo "11. Open SyncApp.xcworkspace"
echo "12. Hit the Play button in the top"
echo ""
echo "If you're really, really lucky it'll all work"
